'''
    Go to line 80 to configure admins
'''

import es
import popuplib
import gamethread

clanMenuSelect       = 0
aboutMenuSelect      = 0
allianceMenuSelect   = 0
adminMenuSelect      = 0
ruleMenuSelect     = 0
weaponMenuSelect     = 0
pistolMenuSelect     = 0
shotgunMenuSelect    = 0
smgMenuSelect        = 0
rifleMenuSelect      = 0
rifle2MenuSelect     = 0
machinegunMenuSelect = 0
equipmentMenuSelect  = 0

def load():

    es.server.cmd('es_regsaycmd !guns k2v/weaponryMain')
    es.server.cmd('es_regsaycmd !rules k2v/rule')
    es.server.cmd('es_regsaycmd !info k2v/popup')
    es.doblock ('k2v/popup')
    
def unload():
    es.server.cmd('es_unregsaycmd !guns k2v/weaponryMain')
    es.server.cmd('es_unregsaycmd !rules k2v/rule')
    es.server.cmd('es_unregsaycmd !info k2v/popup')

def sendPopup(ev):
    userid = ev['userid']
    popuplib.send('rule', userid)
  
def popup():
    clan = popuplib.create('mainPage')
    clan.addline('Kine 2 Villains Clan')
    clan.addline('----------------------')
    clan.addline('->1. About Us')
    clan.addline('->2. Alliances')
    clan.addline('->3. Admins')
    clan.addline('->4. Rules')
    clan.addline(' ')
    clan.addline(' ')
    clan.addline(' ')
    clan.addline('----------------------')
    clan.addline('Made by ||K9||Wolf||')
    clan.addline('0. Close')
    clan.menuselect = clanMenuSelect

    about = popuplib.create('aboutUs')
    about.addline('|K2V|About Us')
    about.addline('----------------------')
    about.addline('Welcome to the Kine 2 Villains Zombie Mod Server!')
    about.addline('We are a ZM clan that is always recruiting.')
    about.addline('Please visit www.k2v.specialopshq.net or speak to one of our')
    about.addline('admins if you are interested in joining.')
    about.addline('----------------------')
    about.addline(' ')
    about.addline(' ')
    about.addline('8. Back')
    about.addline('0. Close')
    about.menuselect = aboutMenuSelect

    alliance = popuplib.create('alliance')
    alliance.addline('|K2V|Alliances')
    alliance.addline('----------------------')
    alliance.addline('->1. ||K9|| <WCSP Custom Race Server>')
    alliance.addline('- 208.167.232.52:27015')
    alliance.addline('->2. =SO=   <GG Server>')
    alliance.addline('- 69.9.36.66:27015')
    alliance.addline('----------------------')
    alliance.addline(' ')
    alliance.addline(' ')
    alliance.addline(' ')
    alliance.addline(' ')
    alliance.addline('8. Back')
    alliance.addline('0. Close')
    alliance.menuselect = allianceMenuSelect

    admin = popuplib.create('admin')
    admin.addline('|K2V|Admins')
    admin.addline('----------------------')
    admin.addline('->1.|K2V|Hood')
    admin.addline('->1.|K2V|Zip')
    admin.addline('----------------------')
    admin.addline(' ')
    admin.addline(' ')
    admin.addline(' ')
    admin.addline(' ')
    admin.addline('8. Back')
    admin.addline('0. Close')
    admin.menuselect = adminMenuSelect

    rule = popuplib.create('rule')
    rule.addline('|K2V|Rules')
    rule.addline('----------------------')
    rule.addline('->1. No Racism/Offensive Language')
    rule.addline('->2. No Cade Breaking/Vent Camping')
    rule.addline('->3. No Mic spamming')
    rule.addline('->4. No Hacking')
    rule.addline('->5. No Porn Sprays')
    rule.addline('->6. Respect All Players')
    rule.addline('----------------------')
    rule.addline(' ')
    rule.addline('8. Back')
    rule.addline('0. Close')
    rule.menuselect = ruleMenuSelect

    weapon = popuplib.create('weaponryMain')
    weapon.addline('|K2V|Weaponry')
    weapon.addline('----------------------')
    weapon.addline('->1. Pistols')
    weapon.addline('->2. Shotguns')
    weapon.addline('->3. SMGs')
    weapon.addline('->4. Rifles')
    weapon.addline('->5. Machine Guns')
    weapon.addline('->6. Equipment')
    weapon.addline('----------------------')
    weapon.addline(' ')
    weapon.addline('Made by ||K9||Wolf||')
    weapon.addline('0. Close')
    weapon.menuselect = weaponMenuSelect

    pistol = popuplib.create('pistol')
    pistol.addline('|K2V|Pistols')
    pistol.addline('----------------------')
    pistol.addline('->1. Glock')
    pistol.addline('->2. Usp')
    pistol.addline('->3. P228')
    pistol.addline('->4. D-Eagle')
    pistol.addline('->5. Five Seven')
    pistol.addline('->6. Dual Elite')
    pistol.addline('----------------------')
    pistol.addline(' ')
    pistol.addline('8. Back')
    pistol.addline('0. Close')
    pistol.menuselect = pistolMenuSelect

    shotgun = popuplib.create('shotgun')
    shotgun.addline('|K2V|Shotguns')
    shotgun.addline('----------------------')
    shotgun.addline('->1. M3')
    shotgun.addline('->2. XM1014')
    shotgun.addline(' ')
    shotgun.addline(' ')
    shotgun.addline(' ')
    shotgun.addline(' ')
    shotgun.addline('----------------------')
    shotgun.addline(' ')
    shotgun.addline('8. Back')
    shotgun.addline('0. Close')
    shotgun.menuselect = shotgunMenuSelect

    smg = popuplib.create('smg')
    smg.addline('|K2V|SMGs')
    smg.addline('----------------------')
    smg.addline('->1. TMP')
    smg.addline('->2. Mac10')
    smg.addline('->3. MP5 Navy')
    smg.addline('->4. UMP45')
    smg.addline('->5. P90')
    smg.addline('----------------------')
    smg.addline(' ')
    smg.addline('8. Back')
    smg.addline('0. Close')
    smg.menuselect = smgMenuSelect

    rifle = popuplib.create('rifle')
    rifle.addline('|K2V|Rifles')
    rifle.addline('----------------------')
    rifle.addline('->1. Famas')
    rifle.addline('->2. Galil')
    rifle.addline('->3. Ak47')
    rifle.addline('->4. M4A1')
    rifle.addline('->5. Scout')
    rifle.addline('->6. AWP')
    rifle.addline('->7. AUG')
    rifle.addline('----------------------')
    rifle.addline(' ')
    rifle.addline('8. Back')
    rifle.addline('9. Next')
    rifle.addline('0. Close')
    rifle.menuselect = rifleMenuSelect

    rifle2 = popuplib.create('rifle2')
    rifle2.addline('|K2V|Rifles')
    rifle2.addline('----------------------')
    rifle2.addline('->1. G3SG1')
    rifle2.addline('->2. SG550')
    rifle2.addline('->3. SG552')
    rifle2.addline(' ')
    rifle2.addline(' ')
    rifle2.addline(' ')
    rifle2.addline('----------------------')
    rifle2.addline(' ')
    rifle2.addline('8. Back')
    rifle2.addline('0. Close')
    rifle2.menuselect = rifle2MenuSelect

    machinegun = popuplib.create('machinegun')
    machinegun.addline('|K2V|Machine Guns')
    machinegun.addline('----------------------')
    machinegun.addline('->1. M249')
    machinegun.addline(' ')
    machinegun.addline(' ')
    machinegun.addline(' ')
    machinegun.addline(' ')
    machinegun.addline(' ')
    machinegun.addline('----------------------')
    machinegun.addline(' ')
    machinegun.addline('8. Back')
    machinegun.addline('0. Close')
    machinegun.menuselect = machinegunMenuSelect

    equipment = popuplib.create('equipment')
    equipment.addline('|K2V|Equipment')
    equipment.addline('----------------------')
    equipment.addline('->1. HE Grenade')
    equipment.addline('->2. Flash Bang')
    equipment.addline('->3. Smoke Grenade')
    equipment.addline('->4. Knife')
    equipment.addline('->5. C4')
    equipment.addline('->6. Full Kevlar')
    equipment.addline(' ')
    equipment.addline('----------------------')
    equipment.addline(' ')
    equipment.addline('8. Back')
    equipment.addline('0. Close')
    equipment.menuselect = equipmentMenuSelect

def weaponryMain(userid, popupid):    
    popuplib.send('weaponryMain', userid)

def rule(userid, popupid):    
    popuplib.send('rule', userid)
    
def clanMenuSelect(userid, choice, popupid):
    if choice == 1:
        popuplib.send('aboutUs', userid)
    
    if choice == 2:
        popuplib.send('alliance', userid)
 
    if choice == 3:
        popuplib.send('admin', userid)
    
    if choice == 4:
        popuplib.send('rule', userid)

def aboutMenuSelect(userid, choice, popupid):
    if choice == 8:
        popuplib.send('mainPage', userid)

def allianceMenuSelect(userid, choice, popupid):
    if choice == 8:
        popuplib.send('mainPage', userid)

def adminMenuSelect(userid, choice, popupid):
    if choice == 8:
        popuplib.send('mainPage', userid)

def weaponMenuSelect(userid, choice, popupid):
    if choice == 1:
        popuplib.send('pistol', userid)

    if choice == 2:
        popuplib.send('shotgun', userid)
    
    if choice == 3:
        popuplib.send('smg', userid)
 
    if choice == 4:
        popuplib.send('rifle', userid)
    
    if choice == 5:
        popuplib.send('machinegun', userid)
    
    if choice == 6:
        popuplib.send('equipment', userid)

def pistolMenuSelect(userid, choice, popupid):
    if choice == 1:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 2))
        es.server.cmd('es_give %s weapon_glock' %userid)

    if choice == 2:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 2))
        es.server.cmd('es_give %s weapon_usp' %userid)
    
    if choice == 3:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 2))
        es.server.cmd('es_give %s weapon_p228' %userid)
 
    if choice == 4:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 2))
        es.server.cmd('es_give %s weapon_deagle' %userid)
    
    if choice == 5:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 2))
        es.server.cmd('es_give %s weapon_fiveseven' %userid)
    
    if choice == 6:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 2))
        es.server.cmd('es_give %s weapon_elite' %userid)

    if choice == 8:
        popuplib.send('weaponryMain', userid)

def shotgunMenuSelect(userid, choice, popupid):
    if choice == 1:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_m3' %userid)

    if choice == 2:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_xm1014' %userid)

    if choice == 8:
        popuplib.send('weaponryMain', userid)

def smgMenuSelect(userid, choice, popupid):
    if choice == 1:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_tmp' %userid)

    if choice == 2:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_mac10' %userid)
    
    if choice == 3:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_mp5navy' %userid)
 
    if choice == 4:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_ump45' %userid)
    
    if choice == 5:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_p90' %userid)

    if choice == 8:
        popuplib.send('weaponryMain', userid)

def rifleMenuSelect(userid, choice, popupid):
    if choice == 1:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_famas' %userid)

    if choice == 2:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_galil' %userid)
    
    if choice == 3:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_ak47' %userid)
 
    if choice == 4:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_m4a1' %userid)
    
    if choice == 5:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_scout' %userid)
    
    if choice == 6:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_awp' %userid)

    if choice == 7:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_aug' %userid)
    
    if choice == 8:
        popuplib.send('weaponryMain', userid)
    
    if choice == 9:
        popuplib.send('rifle2', userid)

def rifle2MenuSelect(userid, choice, popupid):
    if choice == 1:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_g3sg1' %userid)

    if choice == 2:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_sg550' %userid)
    
    if choice == 3:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_sg552' %userid)
    
    if choice == 8:
        popuplib.send('rifle', userid)

def machinegunMenuSelect(userid, choice, popupid):
    if choice == 1:
        es.server.cmd('est_RemoveWeapon %s %s' %(userid, 1))
        es.server.cmd('es_give %s weapon_m249' %userid)
    
    if choice == 8:
        popuplib.send('weaponryMain', userid)

def equipmentMenuSelect(userid, choice, popupid):
    if choice == 1:
        es.server.cmd('es_give %s weapon_hegrenade' %userid)

    if choice == 2:
        es.server.cmd('es_give %s weapon_flashbang' %userid)
    
    if choice == 3:
        es.server.cmd('es_give %s weapon_smokegrenade' %userid)
    
    if choice == 4:
        es.server.cmd('es_give %s weapon_knife' %userid)
    
    if choice == 5:
        es.server.cmd('es_give %s weapon_c4' %userid)
    
    if choice == 6:
        es.server.cmd('est_Armor %s = %s' %(userid, 100))
    
    if choice == 8:
        popuplib.send('weaponryMain', userid)
    
def player_activate(ev):
    userid = ev['userid']
    popuplib.send('mainPage', userid)
    
def es_player_chat(ev):
    userid = ev['userid']
    if ev['text'] == '!guns':
        popuplib.send('weaponryMain', userid)
    if ev['text'] == '!rules':
        popuplib.send('rule', userid)   
    if ev['text'] == '!info':
        popuplib.send('mainPage', userid)